## mingw-w64-frei0r-plugins-2.4.0-1.src.tar.zst

=== src/filter/CMakeLists.txt ===
if (${GAVL_FOUND})
    add_subdirectory (rgbparade)
    add_subdirectory (scale0tilt)
    add_subdirectory (vectorscope)
endif (${GAVL_FOUND})

if (${OpenCV_FOUND})
    add_subdirectory (facebl0r)
    add_subdirectory (facedetect)
endif (${OpenCV_FOUND})

if (${Cairo_FOUND})
  add_subdirectory (cairoimagegrid)
  add_subdirectory (cairogradient)
  add_subdirectory (mirr0r)
endif (${Cairo_FOUND})

add_subdirectory (3dflippo)
add_subdirectory (aech0r)
add_subdirectory (alpha0ps)
add_subdirectory (balanc0r)
add_subdirectory (baltan)
add_subdirectory (bluescreen0r)
add_subdirectory (bgsubtract0r)
add_subdirectory (blur)
add_subdirectory (brightness)
add_subdirectory (bw0r)
add_subdirectory (cartoon)
add_subdirectory (cluster)
add_subdirectory (colgate)
add_subdirectory (coloradj)
add_subdirectory (colordistance)
add_subdirectory (colorize)
add_subdirectory (colorhalftone)
add_subdirectory (colortap)
add_subdirectory (contrast0r)
add_subdirectory (c0rners)
add_subdirectory (curves)
add_subdirectory (d90stairsteppingfix)
add_subdirectory (defish0r)
add_subdirectory (delay0r)
add_subdirectory (delaygrab)
add_subdirectory (denoise)
add_subdirectory (distort0r)
add_subdirectory (dither)
add_subdirectory (edgeglow)
add_subdirectory (elastic_scale)
add_subdirectory (emboss)
add_subdirectory (equaliz0r)
add_subdirectory (filmgrain)
add_subdirectory (flippo)
add_subdirectory (gamma)
add_subdirectory (gateweave)
add_subdirectory (glow)
add_subdirectory (glitch0r)
#add_subdirectory (host_param_test)
add_subdirectory (hueshift0r)
add_subdirectory (invert0r)
add_subdirectory (kaleid0sc0pe) 
add_subdirectory (keyspillm0pup)
add_subdirectory (lenscorrection)
add_subdirectory (letterb0xed)
add_subdirectory (levels)
add_subdirectory (lightgraffiti)
add_subdirectory (luminance)
add_subdirectory (mask0mate)
add_subdirectory (medians)
add_subdirectory (measure)
add_subdirectory (ndvi)
add_subdirectory (nervous)
add_subdirectory (normaliz0r)
add_subdirectory (nosync0r)
add_subdirectory (ntsc)
add_subdirectory (perspective)
add_subdirectory (pixeliz0r)
add_subdirectory (pixs0r)
add_subdirectory (posterize)
add_subdirectory (premultiply)
add_subdirectory (primaries)
add_subdirectory (RGB)
add_subdirectory (rgbnoise)
add_subdirectory (rgbsplit0r)
add_subdirectory (saturat0r)
add_subdirectory (scanline0r)
add_subdirectory (select0r)
add_subdirectory (sharpness)
add_subdirectory (sigmoidaltransfer)
add_subdirectory (sobel)
add_subdirectory (softglow)
add_subdirectory (sopsat)
add_subdirectory (spillsupress)
add_subdirectory (squareblur)
add_subdirectory (tehroxx0r)
add_subdirectory (three_point_balance)
add_subdirectory (threelay0r)
add_subdirectory (threshold0r)
add_subdirectory (timeout)
add_subdirectory (tint0r)
add_subdirectory (transparency)
add_subdirectory (tutorial)
add_subdirectory (twolay0r)
add_subdirectory (vertigo)
add_subdirectory (vignette)

=== src/filter/tehroxx0r/CMakeLists.txt ===
set (SOURCES tehroxx0r.c)
set (TARGET tehroxx0r)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== src/mixer2/hue/CMakeLists.txt ===
set (SOURCES hue.cpp)
set (TARGET hue)

if (MSVC)
  set (SOURCES ${SOURCES} ${FREI0R_1_1_DEF})
endif (MSVC)

add_library (${TARGET}  MODULE ${SOURCES})
set_target_properties (${TARGET} PROPERTIES PREFIX "")

install (TARGETS ${TARGET} LIBRARY DESTINATION ${LIBDIR})

=== PKGBUILD ===
# Maintainer: Ray Donnelly <mingwandroid@gmail.com>
# Upstream Maintainer: Balló György <ballogyor+arch at gmail dot com>
# Upstream Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>

_realname=frei0r-plugins
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=2.4.0
pkgrel=1
pkgdesc='Minimalistic plugin API for video effects (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://frei0r.dyne.org/"
msys2_repository_url="https://github.com/dyne/frei0r"
license=('spdx:GPL-2.0-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-doxygen"
             "${MINGW_PACKAGE_PREFIX}-cairo"
             $([[ ${CARCH} == i686 ]] || echo \
               "${MINGW_PACKAGE_PREFIX}-gavl" \
               "${MINGW_PACKAGE_PREFIX}-opencv"))
optdepends=("${MINGW_PACKAGE_PREFIX}-cairo: cairoaffineblend, cairoblend, cairogradient and cairoimagegrid plugins")
if [[ ${CARCH} != i686 ]]; then
  optdepends+=("${MINGW_PACKAGE_PREFIX}-gavl: rgbparade, scale0tilt and vectorscope plugins"
               "${MINGW_PACKAGE_PREFIX}-opencv: facebl0r and facedetect plugins")
fi
source=("https://github.com/dyne/frei0r/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('6b3491ee65c775b251ecd0ba2cb86955ca2469de47c73718170442732cb9ce75')
validpgpkeys=('6113D89CA825C5CEDD02C87273B35DA54ACB7D10') # Denis Roio (Jaromil)

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  if [[ ${CARCH} == i686 ]]; then
    _extra_config+=("-DWITHOUT_OPENCV=ON" "-DWITHOUT_GAVL=ON")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  cmake -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    "${_extra_config[@]}" \
    ../frei0r-${pkgver}

  cmake --build .
}

check() {
  cd "build-${MSYSTEM}"
  # make check
}

package() {
  cd "build-${MSYSTEM}"
  DESTDIR="${pkgdir}" cmake --install .
}
